# print_debugdump

Do a generic readable data dump of key lp_solve model variables; principally for run difference and debugging purposes.

unsigned char print_debugdump(lprec *lp, char *filename);

Return Value

print_debugdump returns TRUE if data could be written, else FALSE.

Parameters

lp

Pointer to previously created lp model. See return value of make_lp, copy_lp, read_lp, read_LP, read_mps, read_freemps, read_MPS, read_freeMPS, read_XLI

Remarks

The print_debugdump function creates a generic readable data dump of key lp_solve model variables; principally for run difference and debugging purposes
This function is meant for debugging purposes.

Example

    #include <stdio.h>
    #include <stdlib.h>
    #include "lp_lib.h"

    int main(void)
    {
      lprec *lp;

      /* Create a new LP model */
      lp = make_lp(1, 1);
      if(lp == NULL) {
        fprintf(stderr, "Unable to create new LP model\n");
        return(1);
      }

      solve(lp);

      print_debugdump(lp, "debug.txt"); /* dump to file debug.txt in current directory */

      delete_lp(lp);

      return(0);
    }

lp_solve API reference

See Also delete_lp, free_lp, make_lp, copy_lp, read_lp, read_LP, read_mps, read_freemps, read_MPS, read_freeMPS, read_XLI, print_lp, print_objective, print_constraints, print_duals, print_scales, print_tableau, print_str